/**
 * Program: CmdMenuItem.java
 * Comments: An extension of the JMenuItem class that implements the
 * command holder interface.
 */

package extensions.generic;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class CmdMenuItem extends JMenuItem implements CommandHolder{
    protected Command menuCommand;

    public CmdMenuItem(String name){
	super(name);
    }
    public void setCommand(Command cmd){
	menuCommand=cmd;
    }
    public Command getCommand(){
	return menuCommand;
    }
}
